#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/arrow.h>
#include <inti/gtk/button.h>

using namespace Inti;

// ArrowButton

class ArrowButton : public Gtk::Button
{
	ArrowButton(const ArrowButton&);
	ArrowButton& operator=(const ArrowButton&);

public:
	ArrowButton(Gtk::ArrowType  arrow_type, Gtk::ShadowType shadow_type);
	virtual ~ArrowButton();
};

// ArrowWindow

class ArrowWindow : public Gtk::Window
{
	ArrowWindow(const ArrowWindow&);
	ArrowWindow& operator=(const ArrowWindow&);

public:
	ArrowWindow();
	virtual ~ArrowWindow();
};
